%define upstream_name    Data-Dump-Streamer
%define upstream_version 2.39

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Accurately serialize a data structure as Perl code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(B::Deparse)
BuildRequires: perl(B::Utils)
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(Hash::Util)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Build)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Abbrev)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(base)
BuildRequires: perl(overload)
BuildRequires: perl(re)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl(warnings::register)
BuildRequires: perl-devel
Requires:   perl(B::Utils)
Provides:   perl(Data::Dump::Streamer::_::Printers)

%global __requires_exclude perl\\(warnings::register\\)
%{?perl_default_filter:
%filter_from_requires /::_::/d
%filter_from_provides /::_::/d
%perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}::_::
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}::_::

%description
Given a list of scalars or reference variables, writes out their contents in
perl syntax. The references can also be objects. The contents of each variable
is output using the least number of Perl statements as convenient, usually only
one. Self-referential structures, closures, and objects are output correctly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %{__perl} Build.PL DDS --installdirs=vendor
./Build

%check
# Tests fail on 2.38 with perl-5.22.0. See:
# https://rt.cpan.org/Public/Bug/Display.html?id=102369
if test "%{upstream_version}" != "2.38"
then
    ./Build test
else
    ./Build test || true
fi

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/Data
%perl_vendorarch/DDS.pm
%perl_vendorarch/auto/Data


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2.390.0-2.mga6
+ Revision: 1024800
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 2.390.0-1.mga6
+ Revision: 923841
- Add missing BR
- update to 2.39

* Fri Jun 26 2015 tv <tv> 2.380.0-7.mga6
+ Revision: 844775
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 2.380.0-6.mga6
+ Revision: 841927
- Rebuild for the new perl-5.22.0

* Sun Oct 19 2014 umeabot <umeabot> 2.380.0-5.mga5
+ Revision: 789369
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.380.0-4.mga5
+ Revision: 743116
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.380.0-3.mga5
+ Revision: 735461
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.380.0-2.mga5
+ Revision: 684194
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Jun 13 2014 sander85 <sander85> 2.380.0-1.mga5
+ Revision: 635954
- update to 2.38

* Thu Jun 05 2014 jquelin <jquelin> 2.370.0-3.mga5
+ Revision: 633363
- fix build with perl 5.20
- perl 5.20.0 rebuild

  + pterjan <pterjan>
    - Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 2.370.0-1.mga5
+ Revision: 588307
- update to 2.37

* Sat Oct 19 2013 umeabot <umeabot> 2.360.0-2.mga4
+ Revision: 531647
- Mageia 4 Mass Rebuild

* Wed Aug 07 2013 sander85 <sander85> 2.360.0-1.mga4
+ Revision: 464456
- update to 2.36

  + jquelin <jquelin>
    - perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.340.0-2.mga3
+ Revision: 365284
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 09 2012 jquelin <jquelin> 2.340.0-1.mga3
+ Revision: 258812
- update to 2.34

* Wed May 30 2012 jquelin <jquelin> 2.330.0-1.mga3
+ Revision: 251652
- update to 2.33
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 2.320.0-2.mga2
+ Revision: 104371
- Rebuild for perl 5.14

* Fri Feb 25 2011 jquelin <jquelin> 2.320.0-1.mga1
+ Revision: 59699
- update to 2.32

* Mon Jan 24 2011 jquelin <jquelin> 2.220.0-4.mga1
+ Revision: 37283
- adding a requires exception

* Mon Jan 24 2011 jquelin <jquelin> 2.220.0-3.mga1
+ Revision: 36873
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 2.220.0-2.mga1
+ Revision: 33688
- mageia rebuild
- imported package perl-Data-Dump-Streamer

